#
# spec file for package python-webkitgtk
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Andrew Wafaa
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-webkitgtk
Version:        1.1.8
Release:        20.3
Summary:        Python bindings for WebKit/Gtk
License:        LGPL-2.0+
Group:          Development/Languages/Python
Url:            http://code.google.com/p/pywebkitgtk/
Source:         pywebkitgtk-%{version}.tar.bz2
BuildRequires:  libwebkit-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
Provides:       pywebkitgtk = %{version}
Obsoletes:      pywebkitgtk < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.

The project shares the same goals with WebKit. The purpose of this
binding is to bring an alternative web engine to Python/GTK+
application developers who might need a web browser engine for their
next application or developers wishing to have a better browser engine
that they can access to using the Python programming language.

%package devel
Summary:        Python bindings for WebKit/Gtk -- Development Files
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description devel
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.

The project shares the same goals with WebKit. The purpose of this
binding is to bring an alternative web engine to Python/GTK+
application developers who might need a web browser engine for their
next application or developers wishing to have a better browser engine
that they can access to using the Python programming language.

%prep
%setup -q -n pywebkitgtk-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" | xargs rm

%files
%defattr(-, root, root)
%doc AUTHORS COPYING MAINTAINERS NEWS README
%{python_sitearch}/webkit/

%files devel
%defattr(-, root, root)
%doc demos
%dir %{_datadir}/pywebkitgtk/
%{_datadir}/pywebkitgtk/defs/
%{_libdir}/pkgconfig/pywebkitgtk-1.0.pc

%changelog
* Thu Feb  2 2012 saschpe@suse.de
- Spec cleanup:
  - Ran spec-cleaner
  - Moved 'demos' documentation to devel package
  - No ldconfig for stuff in python_sitearch, it's just a binary
    Python module
  - Removed outdated %%clean section
  - Don't use "find ... -delete", fixes SLE_11 build
* Fri Sep  9 2011 andrea.turrini@gmail.com
- Fixed typos in python-webkitgkt.spec
* Sun Aug  8 2010 vuntz@opensuse.org
- Update to version 1.1.8:
  + Add support for getting a NetworkResponse from a WebFrame
  + Expose the enums
  + Fix crashes
  + Take pkg-config variable 'codegendir' from pygobject-2.0
  + Build fixes.
- Create a devel subpackage.
* Thu Dec 17 2009 vuntz@opensuse.org
- Update to version 1.1.7:
  + WebDataSource and WebDatabase bindings
  + Miscellaneous bug fixes
- Drop python-path.patch: this should not be needed anymore.
* Wed Sep  9 2009 matejcik@suse.cz
- use %%python_sitearch instead of py_sitedir
- list webkit.so explicitly, as we don't own site-packages
* Wed Sep  9 2009 aj@suse.de
- Do not install into site-packages/webkit-1.0 which is not search
  but directly into site-packages (bnc#537837).
* Sat Aug  8 2009 vuntz@novell.com
- Update to version 1.1.6:
  + WebView wrapper fixes:
  - load_uri, move_cursor, copy_clipboard (NEW)
  - cut_clipboard, can_copy_clipboard and can_paste_clipboard
  + GObject threads are now initialized by the PyWebKitGtk
  + OS X build fix
* Fri May 29 2009 vuntz@novell.com
- Update to version 1.1.5:
  + New Printing API added to WebFrame.
  + Covers improvements and changes from WebKitGtk 1.1.5 up to
    1.1.8. Summary:
  - Accessibility improvements
  - Support for caret browsing
  - Support for spell-checking
  - WebKitGtk now displays an error page for load errors
  - JIT support for X86_64
  - Arbitrary widget embedding as if it was a plugin
  - HTML5 database and localStorage Settings API
* Mon May 25 2009 vuntz@novell.com
- Update to 1.1.4.
- Clean up packaging.
* Mon Dec  1 2008 awafaa@opensuse.org
- New Release (r98)
* Thu Nov 20 2008 awafaa@opensuse.org
- New Release (r86)
* Mon Nov 10 2008 awafaa@opensuse.org
- New Release (r80)
* Wed Oct 22 2008 awafaa@opensuse.org
- New Release (r79)
* Wed Aug 20 2008 awafaa@opensuse.org
- New Release (r76)
* Fri Aug 15 2008 awafaa@opensuse.org
- New Release (r73)
* Mon Aug 11 2008 awafaa@opensuse.org
- New Release (r70)
* Tue Jul 22 2008 awafaa@opensuse.org
- New Release (r61)
* Tue Jul  8 2008 awafaa@opensuse.org
- Initial Build (r59)
